# Yahoo! UI Library

### charts 3.3.0

Yahoo! UI Library > charts > Lines
Search:
Filters Show Private Show Protected Show Deprecated

## Class Lines

Utility class used for drawing lines.

### Constructor

Lines `( )`

### Properties

#### _lineDefaults - `private object`

### Methods

#### _getGraphic

`private _getGraphic ( )`
Creates a graphic in which to draw a series.

Returns: ``
  Graphic

#### _getLineDefaults

`protected _getLineDefaults ( )`
Default values for `styles` attribute.

Returns: ``
  Object

#### drawDashedLine

`private void drawDashedLine ( xStart , yStart , xEnd , yEnd , dashSize , gapSize )`
Draws a dashed line between two points.

Parameters:
  `xStart <Number>` The x position of the start of the line
  `yStart <Number>` The y position of the start of the line
  `xEnd <Number>` The x position of the end of the line
  `yEnd <Number>` The y position of the end of the line
  `dashSize <Number>` the size of dashes, in pixels
  `gapSize <Number>` the size of gaps between dashes, in pixels

#### drawLines

`protected void drawLines ( )`
Draws lines for the series.

#### drawSpline

`protected void drawSpline ( )`
Connects data points with a consistent curve for a series.

Copyright © 2011 Yahoo! Inc. All rights reserved.